#define MAXLINE 256
/*struct stphead {
  char net[4], sta[8], chan[8], loc[8];
  double lat, lon, elev;
  double sr; 
  int npts;
};*/

typedef struct {
  int eventid;
  char type[3];
  char datetime[25];
  double lat;
  double lon;
  double depth;
  double mag;
  char magtype;
  double qual;
}STPEVENT;

typedef struct {
  int eventid;
  char etype[7];
  char datetime[25];
  double mag;
  char magtype;
  double lat;
  double lon;
  double depth;
  int nop;
  int nos;
  int totps;
  double rms;
  double err_z;
  double err_ew;
  double err_ns;
  char source[15];
}STPALTLOC;

typedef struct {
  char net[6];
  char sta[6];
  double lat;
  double lon;
  double elev;
}STPSTA;

typedef struct {
  char net[4];
  char sta[4];
  char chan[4];
  double lat;
  double lon;
  double elev;
  char phase;
  char motion1[3];
  char soqual;
  double pickqual;
  double epidist;
  double time;
}PHAINFO;

typedef struct {
  STPEVENT *evtinfo;
  int numphainfo; // this is the number of phainfo in the subsequent array
  PHAINFO **phainfo;
}STPPHASE;

typedef struct {
  char *evtinfo;
  int numphastr;
  char **phastr;
}STRINGPHASE;

